Summary:	TDBC driver to access MySQL databases
Summary(pl.UTF-8):	Sterownik TDBC służący do dostępu do baz danych MySQL
Name:		tcl-tdbc-mysql
Version:	1.1.10
Release:	1
License:	Tcl (BSD-like)
Group:		Libraries
Source0:	https://downloads.sourceforge.net/tcl/tdbcmysql%{version}.tar.gz
# Source0-md5:	3530d0fca570eb38235cdc22a3c8540b
URL:		https://wiki.tcl-lang.org/page/MySQL
BuildRequires:	tcl-devel >= 8.6
BuildRequires:	tcl-tdbc-devel >= %{version}
Requires:	tcl >= 8.6
Requires:	tcl-tdbc >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tcl TDBC MySQL module is the driver for Tcl Database Connectivity
(TDBC) to access MySQL databases.

%description -l pl.UTF-8
Moduł Tcl TDBC MySQL to sterownik szkieletu Tcl Database Connectivity
(TDBC) służący do dostępu do baz danych MySQL.

%prep
%setup -q -n tdbcmysql%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# internal headers
%{__rm} $RPM_BUILD_ROOT%{_includedir}/{fakemysql,mysqlStubs}.h

# allow dependency generation
chmod 755 $RPM_BUILD_ROOT%{_libdir}/tdbcmysql%{version}/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README license.terms
%dir %{_libdir}/tdbcmysql%{version}
%attr(755,root,root) %{_libdir}/tdbcmysql%{version}/libtdbcmysql%{version}.so
%{_libdir}/tdbcmysql%{version}/*.tcl
%{_mandir}/mann/tdbc_mysql.n*
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tcl-tdbc-mysql.git;a=log;h=master

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> 7866b66
- updated to 1.1.10

* Thu Jan 16 2020 Jakub Bogusz <qboosh@pld-linux.org> b48e968
- updated to 1.1.1

* Sat Jan 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 3dcae1e
- updated to 1.1.0

* Wed Mar 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 2f0bbdc
- new

